/*global window, rJS, jIO, FormData */
/*jslint indent: 2, maxerr: 3 */


(function (window, rJS) {
  "use strict";

  rJS(window)
    .ready(function (gadget) {
      console.log("Jio Contents Gadget yes yes.");
      return gadget;
    })
    .declareMethod('render', function (options) {
      console.log("Rendering jio CONTENTS");
      this.jio_allDocs({
        query: 'portal_type: "Web JSON"',
        select_list : ['text_content', 'title', 'reference'], //, 'modification_date'], NOT WORKING
        // sort_on: [["modification_date", "descending"]], // NOT WORKING
        limit: [0, 5]
      })
      .push(function(result) {
        console.log("Querying Web JSON List");
        console.log(result.data.rows);
      }, function(err) {
        console.log(err);
      });
    })
    .declareAcquiredMethod("jio_allDocs", "jio_allDocs");

}(window, rJS));

